{ ... }:

{
  imports = [
    ./hardware-configuration.nix

    ../../../modules/services/matrix.nix
    ../../../modules/services/synapse-admin.nix
  ];

  boot.loader.grub.devices = [ "/dev/sda" ];

  networking.hostName = "neo";

  crans = {
    enable = true;

    networking = {
      id = 41;
      srv = {
        enable = true;
        ipv4 = "185.230.79.5";
      };
    };
  };

  system.stateVersion = "24.11";
}
