{ ... }:

{
  imports = [
    ./hardware-configuration.nix

    ../../../modules/services/jitsi.nix
    ../../../modules/services/acme.nix
  ];

  networking.hostName = "jitsi";
  boot.loader.grub.devices = [ "/dev/vda" ];

  crans = {
    enable = true;

    networking = {
      id = 63;
      srv = {
        enable = true;
        ipv4 = "185.230.79.15";
      };
    };
  };

  system.stateVersion = "24.11";
}
